import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;

//initializing the variables
Minim minim;
AudioPlayer player;
AudioInput in;
float r=100;
float g=150;
float b=200;
float a=200;
//float diam=20;
//float x=100;
//float y=100;
int[] xpos= new int[50];
int[] ypos= new int[50];

void setup() {
  minim=new Minim(this);
  player=minim.loadFile("oddLook.mp3");
  player.play();
  in=minim.getLineIn();
  
  size(800,800);
  background(0);
  smooth(0);
  frameRate(25);
  
  for (int i=0; i<xpos.length; i++){
    xpos[i]= 0;
    ypos[i]= 0;
  }
}

void draw(){
  r=random(255);
  g=random(255);
  b=random(255);
  a=random(255);
//  diam=random(20);
//  x=random(width);
//  y=random(height);
//  //use values to draw ellipse
//  stroke(0);
//  fill(r,g,b,a);
//  ellipse(x,y,diam,diam);

  
  
  stroke(r,g,b,a);
  
  for(int i=0; i<player.bufferSize()-1; i++){
    line(i,250+player.left.get(i)*10, i+1, 250+player.left.get(i+1)*10);
    line(i,500+player.right.get(i)*10, i+1, 500+player.right.get(i+1)*10);
  }
   for(int i = 0; i< in.bufferSize() - 1; i++)
  {
    line(i, 100 + player.left.get(i)*50, i+1, 100 + player.left.get(i+1)*50);
    line(i, 300 + in.right.get(i)*50, i+1, 300 + in.right.get(i+1)*50);
  }
 for (int i=0; i<xpos.length-1; i++){
    xpos[i]= xpos[i+1];
    ypos[i]= ypos[i+1];
  }
  
  xpos[xpos.length-1]= mouseX;
  ypos[ypos.length-1]= mouseY;
  
  for(int i=0; i<xpos.length; i++){
    noStroke();
    fill(255-i*5);
    ellipse(xpos[i],ypos[i],i,i);
  }
  
}


